%if 0%{?el7}
%define dist .el7
%endif

Name:           perl-Net-IP-Lite
Version:        0.03
Release:        1%{?dist}
Summary:        Perl extension for manipulating IPv4/IPv6 addresses

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            https://metacpan.org/author/ALEXKOM
Source0:        https://cpan.metacpan.org/authors/id/A/AL/ALEXKOM/Net-IP-Lite-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl
# Remove "BuildRequires:  perl-devel" for noarch packages (unneeded)
BuildRequires:  perl-devel
BuildRequires:  perl-generators
# Correct for lots of packages, other common choices include eg. Module::Build
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::Exception)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
This is another module to manipulate B<IPv4/IPv6> addresses.
In contrast of NET::IP, it does not require Math::BigInt.
Also, it supports some additional IPv4 formats like 0x7f000001,
2130706433, 017700000001, 0177.0.0.1, 0x7f.0.0.0x1.

%prep
%autosetup -n Net-IP-Lite-%{version}


%build
# Remove OPTIMIZE=... from noarch packages (unneeded)
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%make_build


%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
# Remove the next line from noarch packages (unneeded)
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%doc Changes README
# For noarch packages: vendorlib
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Mon Jul 16 2018 momo-i <webmaster@momo-i.org> - 0.03-1
- Initial rpm release.
